summaryrefslogtreecommitdiff
path: root/tests/tail-2/infloop-1
diff options
context:
space:
mode:
Diffstat (limited to 'tests/tail-2/infloop-1')
-rwxr-xr-xtests/tail-2/infloop-14
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/tail-2/infloop-1 b/tests/tail-2/infloop-1
index ff6e712bf..580ec59a3 100755
--- a/tests/tail-2/infloop-1
+++ b/tests/tail-2/infloop-1
@@ -1,7 +1,7 @@
#!/bin/sh
# This test would fail with tail from pre-1.22i textutils.
-# Copyright (C) 1999, 2002 Free Software Foundation, Inc.
+# Copyright (C) 1999, 2002, 2006 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -25,7 +25,7 @@ fi
tmp=tail-inf1.$$
pwd=`pwd`
-trap "cd $pwd; rm -rf $tmp" 0 1 2 3 15
+trap 'cd "$pwd" && rm -rf $tmp' 0 1 2 3 15
test_failure=0
mkdir $tmp || test_failure=1